## phpsdl-ng 0.0.1

=== Makefile ===
phpsdl: 
	. do_build

code:
	php gen_fun.php sdl.xml


all: phpsdl

clean:

=== debian/changelog ===
phpsdl-ng (0.0.1) unstable; urgency=low

  * Initial Release.

 -- dimitri <dimitri.giardina@gmail.com>  Sun, 08 Mar 2009 17:29:24 +0100

=== debian/control ===
Source: phpsdl-ng
Section: unknown
Priority: extra
Maintainer: dimitri <dimitri.giardina@gmail.com>
Build-Depends: debhelper (>= 7), php5-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: phpsdl-ng
Architecture: any
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}, php5 | php5-cli, libsdl1.2, libsdl-gfx1.2, libsdl-image1.2, libsdl-ttf2.0-0
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



EXT_DIR=$(shell $(PHPCONFIG)$* --extension-dir)
PHPIZE=/usr/bin/phpize
PHPCONFIG=/usr/bin/php-config


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/phpsdl-ng.sgml > phpsdl-ng.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/phpsdl-ng.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/phpsdl-ng install
	mkdir -p $(CURDIR)/debian/phpsdl-ng/${EXT_DIR}
	install -m 644 -o root -g root $(CURDIR)/sdl.so $(CURDIR)/debian/phpsdl-ng/${EXT_DIR}


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	cp -rf tests $(CURDIR)/debian/phpsdl-ng/usr/share/doc/phpsdl-ng/	
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
